// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI/24DSI_Linux_3.x_and_4.x_GSC_DN/driver/open.c $
// $Rev: 43974 $
// $Date: 2018-11-05 14:19:18 -0600 (Mon, 05 Nov 2018) $

// 24DSI: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_open(dev_data_t* dev)
{
	int	ret;

	ret	= dev_io_open(dev);

	if (ret == 0)
		ret	= gsc_dma_open(dev, 0);

	if (ret == 0)
		ret	= gsc_irq_open(dev, 0);

	if (ret == 0)
		initialize_ioctl(dev, NULL);

	if (ret)
		dev_close(dev);

	return(ret);
}


