// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI/24DSI_Linux_3.x_and_4.x_GSC_DN/samples/sw_sync/perform.c $
// $Rev: 53965 $
// $Date: 2023-11-29 07:03:40 -0600 (Wed, 29 Nov 2023) $

// 24DSI: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	time_t	end;
	int		errs	= 0;
	time_t	now;

	gsc_label("Working");
	printf("%d seconds ... ", args->seconds);
	fflush(stdout);
	end	= time(NULL) + args->seconds;

	for (; errs == 0;)
	{
		errs	= dsi_sw_sync(args->fd, -1, 0);
		now		= time(NULL);

		if (now > end)
			break;

		os_sleep_ms(2);
	}

	printf("Done\n");
	return(errs);
}



